package LATMOS::Accounts::Web::Controller::Create;

use strict;
use warnings;
use base 'LATMOS::Accounts::Web::Controller';

=head1 NAME

LATMOS::Accounts::Web::Controller::Create - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index 

=cut

sub index : Private {
    my ( $self, $c ) = @_;

    $c->response->body('Matched LATMOS::Accounts::Web::Controller::Create in Create.');
}

sub user : Local {
    my ( $self, $c ) = @_;

    my $base = $c->model('Accounts')->db;
    $c->stash->{form} = $c->model('AttrForms', undef, 'user', $base);
    for ($c->req->param('step') || '') {
        /^1$/ and do {
            $c->stash->{step} = 2;
            $c->req->params->{id} = lc($c->req->param('sn'));
            last;
        };
        /^2$/ and do {
            $base->create_c_object('user', $c->req->params->{id}, %{ $c->req->params });
            $base->commit;
            $c->res->redirect($c->uri_for('/users', $c->req->params->{id}));
            last;
        };
    }
}

=head1 AUTHOR

Thauvin Olivier

=head1 LICENSE

This library is free software, you can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

1;
